Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
ezsitemanager/admin/templatelist.php File Reference

Go to the source code of this file.

## Variables
if( $filePath=="") elseif(str_contains( $filePath, '.-')) | else
| $filePathArray = explode( "-", $filePath )
| $file = eZPBFile::file( $realPath )
| $dir = eZPBFile::dir( $realPath )
| $is_file = $file && $dir == false ? true : false
| $ini =& eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZSiteManagerMain", "Language" )
| $t

## Variable Documentation

## ◆ $dir

$dir = eZPBFile::dir( $realPath )

Definition at line 56 of file ezsitemanager/admin/templatelist.php.

## ◆ $file

$file = eZPBFile::file( $realPath )

Definition at line 55 of file ezsitemanager/admin/templatelist.php.

## ◆ $filePathArray

$filePathArray = explode( "-", $filePath )

Definition at line 53 of file ezsitemanager/admin/templatelist.php.

## ◆ $ini

$ini =& eZINI::instance( 'site.ini' )

Definition at line 60 of file ezsitemanager/admin/templatelist.php.

## ◆ $is_file

$is_file = $file && $dir == false ? true : false

Definition at line 57 of file ezsitemanager/admin/templatelist.php.

## ◆ $Language

$Language = $ini->variable( "eZSiteManagerMain", "Language" )

Definition at line 61 of file ezsitemanager/admin/templatelist.php.

## ◆ $t

$t

Initial value:
= new eZTemplate( "kernel/ezsitemanager/admin/" . $ini->variable( "eZSiteManagerMain", "AdminTemplateDir" ),
"kernel/ezsitemanager/admin/" . "/intl", $Language, "templatelist.php" )
eZTemplate
Definition: eztemplate.php:107
$Language
$Language
Definition: ezsitemanager/admin/templatelist.php:61
$ini
$ini
Definition: ezsitemanager/admin/templatelist.php:60

Definition at line 63 of file ezsitemanager/admin/templatelist.php.

## ◆ else

if ($filePath=="") elseif (str_contains($filePath, '.-')) else

Initial value:
{
$realPath = str_replace( "-", "/", $filePath )
$filePath
$filePath
Definition: ezfilemanager/user/filedownload.php:50

Definition at line 49 of file ezsitemanager/admin/templatelist.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.